## LCM Log Export Tool
`lcm-export` is a tool for converting log files generated by `lcm-logger` to .mat or 
.pkl files importable to Matlab and Python scripts.

`lcm-export` is an updated version of the [`lcm-log2smat` module](https://github.com/gtroni/lcm-log2smat) by G. Troni.
This module reuses some code and is heavily based on the approach taken in that module. 

## Usage
The installation process below will install a script named `lcm-export` to your binaries folder.
To use, run `lcm-export [options] file`.

`file` is the relative path to your lcm log file, and accepts glob references (e.g. use lcmlog_* to generate .mat files for all files beginning lcmlog_)

### LCM-Types
This utility requires the python versions of your lcm types to read the log (those generated by `lcm-gen`).

Direct it to the directory containing those files with the `--lcmtypes PATH` option (it will also search all subdirectories).

### Other options:
- `-p` to generate Python .pkl files
- `-m` to generate Matlab .mat files (default)


## Installation
### Requirements
Requires Python 3.6+ and [lcm](https://lcm-proj.github.io) to run, and pip for installation.

### Installation
1. Clone this repo
2. cd into the root directory
3. Run `pip3 install .`

### Uninstallation
Uninstall with `pip3 uninstall lcm-export`

## License
LCM Log Export Tool is based on code written by G. Troni in their [`lcm-log2smat` module](https://github.com/gtroni/lcm-log2smat),
which itself is based on a script in [libbot2](https://github.com/libbot2/libbot2).

(libbot2)

libbot2 is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

libbot2 is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

(lcm-log2smat)

lcm-log2smat is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

lcm-log2smat is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

(LCM Log Export Tool)

LCM Log Export Tool is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

LCM Log Export Tool is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with LCM Log Export Tool. If not, see http://www.gnu.org/licenses/.
